
SRC += $(IP_SRC)/webserver/http_vfs_entry.cpp
APP_OBJS += $(OUTDIR)/obj/http_vfs_entry.o
$(OUTDIR)/obj/http_vfs_entry.o: webserver/http_vfs_entry.cpp

SRC += $(IP_SRC)/webserver/http_method_handler.cpp
APP_OBJS += $(OUTDIR)/obj/http_method_handler.o
$(OUTDIR)/obj/http_method_handler.o: webserver/http_method_handler.cpp

SRC += $(IP_SRC)/webserver/http_websocket_handler.cpp
APP_OBJS += $(OUTDIR)/obj/http_websocket_handler.o
$(OUTDIR)/obj/http_websocket_handler.o: webserver/http_websocket_handler.cpp

SRC += $(IP_SRC)/webserver/http_get_handler.cpp
APP_OBJS += $(OUTDIR)/obj/http_get_handler.o
$(OUTDIR)/obj/http_get_handler.o: webserver/http_get_handler.cpp

SRC += $(IP_SRC)/webserver/http_post_handler.cpp
APP_OBJS += $(OUTDIR)/obj/http_post_handler.o
$(OUTDIR)/obj/http_post_handler.o: webserver/http_post_handler.cpp

SRC += $(IP_SRC)/webserver/http_passthrough_handler.cpp
APP_OBJS += $(OUTDIR)/obj/http_passthrough_handler.o
$(OUTDIR)/obj/http_passthrough_handler.o: webserver/http_passthrough_handler.cpp

SRC += $(IP_SRC)/webserver/http_webdav_handler.cpp
APP_OBJS += $(OUTDIR)/obj/http_webdav_handler.o
$(OUTDIR)/obj/http_webdav_handler.o: webserver/http_webdav_handler.cpp

SRC += $(IP_SRC)/webserver/http_options_handler.cpp
APP_OBJS += $(OUTDIR)/obj/http_options_handler.o
$(OUTDIR)/obj/http_options_handler.o: webserver/http_options_handler.cpp

SRC += $(IP_SRC)/webserver/http_connection.cpp
APP_OBJS += $(OUTDIR)/obj/http_connection.o
$(OUTDIR)/obj/http_connection.o: webserver/http_connection.cpp

SRC += $(IP_SRC)/webserver/http_datasource.cpp
APP_OBJS += $(OUTDIR)/obj/http_datasource.o
$(OUTDIR)/obj/http_datasource.o: webserver/http_datasource.cpp

SRC += $(IP_SRC)/webserver/http_data_consumer.cpp
APP_OBJS += $(OUTDIR)/obj/http_data_consumer.o
$(OUTDIR)/obj/http_data_consumer.o: webserver/http_data_consumer.cpp

SRC += $(IP_SRC)/webserver/set_certificate_handler.cpp
APP_OBJS += $(OUTDIR)/obj/set_certificate_handler.o
$(OUTDIR)/obj/set_certificate_handler.o: webserver/set_certificate_handler.cpp

SRC += $(IP_SRC)/webserver/apparguments.cpp
APP_OBJS += $(OUTDIR)/obj/apparguments.o
$(OUTDIR)/obj/apparguments.o: webserver/apparguments.cpp

SRC += $(IP_SRC)/webserver/webserver.cpp
APP_OBJS += $(OUTDIR)/obj/webserver.o
ifndef __SOFTWARE_PHONE__
$(OUTDIR)/obj/webserver.o: webserver/webserver.cpp $(OUTDIR)/webserver/webserver.png

$(OUTDIR)/webserver/webserver.png: webserver/webserver.png
	copy webserver\webserver.png $(OUTDIR)\webserver\webserver.png
else
$(OUTDIR)/obj/webserver.o: webserver/webserver.cpp
endif
